<?php

include('include.php');

function displayApplication ($item) {
    ?>
    <div class="col-sm-4 col-md-2 col-lg-2">
        <div class="thumbnail" style="min-height: 310px; max-height: 310px">
            <img src="<?=$item['screenshots'][0]?>" alt="<?=$item['name']?>" style="max-width: 150px; max-height: 150px">
            <div class="caption">
                <strong><?=substr($item['name'], 0, 25);?></strong><br/>
                <?if($item['priceRub'] != 0) echo $item['priceRub']." руб.";
                 else echo 'халява, сэр'?>
            </div>
            <?if($item['priceRub'] != 0):?>
            <div class="alert alert-info"><a href="#" class="btn btn-primary" role="button">Срочно купить!</a></div>
            <?endif;?>
        </div>
    </div>
  <?
}
?>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <title>Маркетплейс на выселках</title>
    <style>
        .gallery_product
        {
            margin-bottom: 30px;
        }
    </style>
</head>
<body>
<div class="container-fluid">
    <h2>Позабудьте все вопросы, покупайте папиросы!</h2>
    <div class="row">
        <?

            $result = executePartnerREST('marketplace.product.list',
                array(
                    'filter' => array('partnerDiscount' => '1', 'isAdaptive' => 1, 'categoryId' => 14
                )));
            $items = $result['result']['list'];
            // print_r($result);

            // $pages = $result['result']['navigation']['pageCount'];
            $pages = 1;

            $current_page = 1;


            while ($current_page < $pages) {
                $current_page++;
                $current_result = executePartnerREST('marketplace.product.list',
                    array(
                        'filter' => array('partnerDiscount' => '1', 'isAdaptive' => 1, 'categoryId' => 14,
                            'isComposite' => 1),
                        'navigation' => array('page' => $current_page)
                        ));

                $items = array_merge($items, $current_result['result']['list']);

            }

            // print_r($items); echo "<br/>. total: ".count($items);

            foreach ($items as $item) displayApplication($item);

            ?>
    </div>
</div>

<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>

</body>
</html>