<?php

define(PARTNER_ID, '111');
define(PARTNER_CODE, 'xxx');


function writeToLog($data, $title = '') {
    $log = "\n------------------------\n";
    $log .= date("Y.m.d G:i:s") . "\n";
    $log .= (strlen($title) > 0 ? $title : 'DEBUG') . "\n";
    $log .= print_r($data, 1);
    $log .= "\n------------------------\n";
    file_put_contents(__DIR__ . '/partner-rest.log', $log, FILE_APPEND);
    return true;
}

function executePartnerREST($method, $params) {

    $queryUrl = 'https://partners.1c-bitrix.ru/rest_test/';
    $queryData = http_build_query(array_merge($params,
        array(
            "action" => $method,
            "partnerId" => PARTNER_ID,
            "auth" => md5($method."|".PARTNER_ID."|".PARTNER_CODE)
        )
    ));

    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_SSL_VERIFYPEER => 0,
        CURLOPT_POST => 1,
        CURLOPT_HEADER => 0,
        CURLOPT_RETURNTRANSFER => 1,
        CURLOPT_URL => $queryUrl,
        CURLOPT_POSTFIELDS => $queryData,
    ));

    $result = json_decode(curl_exec($curl), true);
    curl_close($curl);

    return $result;

}
